<?php
defined('ABSPATH') || exit;
?>
<div class="wpcmdr-wrap">
    <div class="wpcmdr-app-settings" id="wpcmdr-app-settings" style="display:none;">
        <div class="wpcmdr-main-lock" id="wpcmdr-main-lock"></div>
        <div class="wpcmdr-main-header">
            <div class="wpcmdr-title"><?php esc_html_e("WPCommander Settings", 'wpcommander'); ?></div>
            <div class="wpcmdr-loader" id="wpcmdr-loader"></div>
        </div>
        <div class="wpcmdr-main-tabs">
            <div class="wpcmdr-main-tab" al-attr.class.wpcmdr-active="App.ui.tabs.fn.is('general')" al-on.click="App.ui.tabs.fn.click('general')"><?php esc_html_e("General", 'wpcommander'); ?></div>
            <div class="wpcmdr-main-tab" al-attr.class.wpcmdr-active="App.ui.tabs.fn.is('data')" al-on.click="App.ui.tabs.fn.click('data')"><?php esc_html_e("Data", 'wpcommander'); ?></div>
        </div>
        <div class="wpcmdr-main-data" al-attr.class.wpcmdr-active="App.ui.tabs.fn.is('general')">
            <div class="wpcmdr-container">
                <p><?php esc_html_e("Use this section to set main plugin options.", 'wpcommander'); ?></p>
                <table class="wpcmdr-main-table wpcmdr-no-border" al-if="App.data.config">
                    <tbody>
                    <tr>
                        <th><?php esc_html_e("Access roles", 'wpcommander'); ?></th>
                        <td>
                            <p><?php esc_html_e("Only selected user roles have access to the folders", 'wpcommander'); ?></p>
                            <label al-repeat="(key,value) in App.data.roles"><input type="checkbox" value="{{value.id}}" al-on.change="App.fn.config.onAccessRoleChange($event, value)" al-attr.checked="App.fn.config.isAccessRoleChecked(value)">{{value.name}}</label>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e("Default folder color", 'wpcommander'); ?></th>
                        <td>
                            <div class="wpcmdr-color-picker-wrap"><div id="wpcmdr-default-folder-color" class="wpcmdr-color-picker"></div></div>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e("Disable folder counter", 'wpcommander'); ?></th>
                        <td>
                            <label><input type="checkbox" al-checked="App.data.config.disable_counter"><?php esc_html_e("Disable showing number of items in each folder", 'wpcommander'); ?></label>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e("Disable ajax refresh", 'wpcommander'); ?></th>
                        <td>
                            <label><input type="checkbox" al-checked="App.data.config.disable_ajax"><?php esc_html_e("Disable ajax refresh in list view", 'wpcommander'); ?></label>
                            <small><?php esc_html_e("(set when you experience problems using plugins alongside WPCommander that alter the media library list view)", 'wpcommander'); ?></small>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Infinite scrolling', 'wpcommander'); ?></th>
                        <td>
                            <label><input type="checkbox" al-checked="App.data.config.infinite_scrolling"><?php esc_html_e('Enable the media library infinite scrolling instead of the "load more" button', 'ifolders'); ?></label>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <br>
                <div class="wpcmdr-button" al-on.click="App.fn.config.save()"><?php esc_html_e('Save', 'wpcommander'); ?></div>
            </div>
        </div>
        <div class="wpcmdr-main-data" al-attr.class.wpcmdr-active="App.ui.tabs.fn.is('data')">
            <div class="wpcmdr-container">
                <p><?php esc_html_e("Use this section to view all existed folders and delete them if it's needed, all sub folders are also will be deleted.", 'wpcommander'); ?></p>
                <p al-if="!App.data.folders.loaded"><?php esc_html_e("Loading data...", 'wpcommander'); ?></p>
                <div al-if="App.data.folders.loaded">
                    <div class="wpcmdr-table-toolbar wpcmdr-green">
                        <div class="wpcmdr-left-group">
                            <div class="wpcmdr-btn" al-on.click="App.fn.folders.delete('list')" al-if="App.data.folders.checked">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M 15 4 C 14.476563 4 13.941406 4.183594 13.5625 4.5625 C 13.183594 4.941406 13 5.476563 13 6 L 13 7 L 7 7 L 7 9 L 8 9 L 8 25 C 8 26.644531 9.355469 28 11 28 L 23 28 C 24.644531 28 26 26.644531 26 25 L 26 9 L 27 9 L 27 7 L 21 7 L 21 6 C 21 5.476563 20.816406 4.941406 20.4375 4.5625 C 20.058594 4.183594 19.523438 4 19 4 Z M 15 6 L 19 6 L 19 7 L 15 7 Z M 10 9 L 24 9 L 24 25 C 24 25.554688 23.554688 26 23 26 L 11 26 C 10.445313 26 10 25.554688 10 25 Z M 12 12 L 12 23 L 14 23 L 14 12 Z M 16 12 L 16 23 L 18 23 L 18 12 Z M 20 12 L 20 23 L 22 23 L 22 12 Z"/></svg>
                            </div>
                        </div>
                        <div class="wpcmdr-right-group">
                            <div class="wpcmdr-group" al-if="App.data.folders.view.total">
                                <div class="wpcmdr-label">{{App.data.folders.view.first}}-{{App.data.folders.view.last}} of {{App.data.folders.view.total}}</div>
                                <div class="wpcmdr-btn" al-on.click="App.fn.folders.load(App.data.folders.view.page - 1)">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M 19.03125 4.28125 L 8.03125 15.28125 L 7.34375 16 L 8.03125 16.71875 L 19.03125 27.71875 L 20.46875 26.28125 L 10.1875 16 L 20.46875 5.71875 Z"/></svg>
                                </div>
                                <div class="wpcmdr-btn" al-on.click="App.fn.folders.load(App.data.folders.view.page + 1)">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M 12.96875 4.28125 L 11.53125 5.71875 L 21.8125 16 L 11.53125 26.28125 L 12.96875 27.71875 L 23.96875 16.71875 L 24.65625 16 L 23.96875 15.28125 Z"/></svg>
                                </div>
                            </div>
                            <div class="wpcmdr-btn" al-on.click="App.fn.folders.load()" title="<?php esc_html_e('Refresh', 'wpcommander'); ?>">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M 16 4 C 10.886719 4 6.617188 7.160156 4.875 11.625 L 6.71875 12.375 C 8.175781 8.640625 11.710938 6 16 6 C 19.242188 6 22.132813 7.589844 23.9375 10 L 20 10 L 20 12 L 27 12 L 27 5 L 25 5 L 25 8.09375 C 22.808594 5.582031 19.570313 4 16 4 Z M 25.28125 19.625 C 23.824219 23.359375 20.289063 26 16 26 C 12.722656 26 9.84375 24.386719 8.03125 22 L 12 22 L 12 20 L 5 20 L 5 27 L 7 27 L 7 23.90625 C 9.1875 26.386719 12.394531 28 16 28 C 21.113281 28 25.382813 24.839844 27.125 20.375 Z"/></svg>
                            </div>
                        </div>
                    </div>
                    <table class="wpcmdr-table">
                    <thead>
                    <tr>
                        <th class="wpcmdr-field-check"><input type="checkbox" al-checked="App.data.folders.checked" al-on.change="App.fn.selectAll($event, App.data.folders.checked, App.data.folders)"></th>
                        <th class="wpcmdr-field-text"><?php esc_html_e('Folder Title', 'wpcommander'); ?><span class="wpcmdr-field-sort" al-on.click="App.fn.folders.sort($element, 'title')"></span></th>
                        <th class="wpcmdr-field-text"><?php esc_html_e('Owner', 'wpcommander'); ?><span class="wpcmdr-field-sort" al-on.click="App.fn.folders.sort($element, 'owner')"></span></th>
                        <th class="wpcmdr-field-number"><?php esc_html_e('Attachments', 'wpcommander'); ?><span class="wpcmdr-field-sort" al-on.click="App.fn.folders.sort($element, 'attachments')"></span></th>
                        <th class="wpcmdr-field-date"><?php esc_html_e('Created', 'wpcommander'); ?><span class="wpcmdr-field-sort" al-on.click="App.fn.folders.sort($element, 'created')"></span></th>
                        <th class="wpcmdr-field-date"><?php esc_html_e('Modified', 'wpcommander'); ?><span class="wpcmdr-field-sort" al-on.click="App.fn.folders.sort($element, 'modified')"></span></th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr al-repeat="folder in App.data.folders.list">
                        <td class="wpcmdr-field-check"><input type="checkbox" al-checked="folder.checked" al-on.change="App.fn.selectOne($event, folder.checked, App.data.folders)"></td>
                        <td class="wpcmdr-field-text">{{folder.title}}</td>
                        <td class="wpcmdr-field-text">{{folder.owner}}</td>
                        <td class="wpcmdr-field-number">{{folder.attachments}}</td>
                        <td class="wpcmdr-field-date">{{folder.created}}</td>
                        <td class="wpcmdr-field-date">{{folder.modified}}</td>
                    </tr>
                    <tr al-repeat="i in App.data.folders.view.absents">
                        <td al-repeat="i in 6"></td>
                    </tr>
                    </tbody>
                    <tbody class="wpcmdr-loader" al-attr.class.wpcmdr-active="App.data.folders.loading"></tbody>
                    </table>
                    <br>
                    <div class="wpcmdr-button wpcmdr-warning" al-on.click="App.fn.folders.delete('all')"><?php esc_html_e("Delete All Folders", 'wpcommander'); ?></div>
                </div>
            </div>
        </div>
    </div>
</div>