<?php
/**
 * Plugin Name: WPCommander
 * Plugin URI: https://1.envato.market/getwpcommander
 * Description: Improve your WordPress media library with a more intuitive way. Simply drag & drop items into folders for effortless accessibility.
 * Version: 1.3.2
 * Requires at least: 4.6
 * Requires PHP: 7.0
 * Author: 20script
 * Author URI: https://www.20script.ir
 * License: GPLv3
 * Text Domain: wpcommander
 * Domain Path: /languages
 */
namespace WPCommander;

defined('ABSPATH') || exit;

define('WPCOMMANDER_PLUGIN_NAME', 'wpcommander');
define('WPCOMMANDER_PLUGIN_VERSION', '1.3.2');
define('WPCOMMANDER_PLUGIN_DB_VERSION', '1.0.0');
define('WPCOMMANDER_PLUGIN_DB_TABLE_PREFIX', 'wpcmdr');
define('WPCOMMANDER_PLUGIN_BASE_NAME', plugin_basename(__FILE__));
define('WPCOMMANDER_PLUGIN_URL', plugin_dir_url(__FILE__));
define('WPCOMMANDER_FEEDBACK_URL', 'https://avirtum.com/api/feedback/');
define('WPCOMMANDER_LICENSE_URL', 'https://avirtum.com/api/license/');
define('WPCOMMANDER_UPDATE_URL', 'https://avirtum.com/api/update/');
define('WPCOMMANDER_PLUGIN_SITE_URL', 'https://1.envato.market/getwpcommander');

class Plugin {
    protected static function autoloader() {
        spl_autoload_register(function ($class) {
            $prefix = __NAMESPACE__;
            $base = __DIR__ . '/includes/';

            // does the class use the namespace prefix?
            $len = strlen($prefix);
            if (strncmp($prefix, $class, $len) !== 0) {
                // no, move to the next registered autoloader
                return;
            }

            // get the relative class name
            $relative_class = substr($class, $len);

            // replace the namespace prefix with the base directory, replace namespace
            // separators with directory separators in the relative class name, append
            // with .php
            $file = $base . str_replace('\\', DIRECTORY_SEPARATOR, $relative_class) . '.php';

            if (file_exists($file)) {
                require $file;
            }
        });
    }

    public static function run() {
        self::autoloader();

        add_action('plugins_loaded', ['WPCommander\\Plugin', 'loaded']);
        add_action('activated_plugin', ['WPCommander\\Plugin', 'activated_plugin']);
        register_activation_hook(__FILE__, ['WPCommander\\App', 'activate']);
        register_deactivation_hook(__FILE__, ['WPCommander\\App', 'deactivate']);
    }

    public static function loaded() {
        load_plugin_textdomain('wpcommander', false, dirname(plugin_basename(__FILE__)) . '/languages/');
        App::getInstance();
    }

    public static function activated_plugin($plugin) {
        if($plugin == plugin_basename(__FILE__)) {
            exit(wp_redirect(admin_url('options-general.php?page=wpcommander-settings')));
        }
    }
}
Plugin::run();